import { FormMessageSizesTypes, FormMessageColorType } from './constants';
import { GovHost } from '../../../helpers/Dom/template.types';
export declare class GovFormMessage {
    h: GovHost;
    private readonly messageId;
    constructor();
    host: HTMLGovFormMessageElement;
    /**
     * Style variation of the message.
     */
    readonly color?: FormMessageColorType;
    /**
     * Message's size.
     */
    readonly size?: FormMessageSizesTypes;
    validateColor(newValue: string): void;
    componentWillLoad(): void;
    render(): any;
    /**
     * Returns unique identifier of message
     */
    identifier(): Promise<string>;
}
